## jeepney 0.6.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Jeepney.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Jeepney.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Jeepney"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Jeepney"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## jeepney 0.4.2

=== debian/changelog ===
jeepney (0.4.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Dmitry Shachnev ]
  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 04 Jan 2020 00:01:34 +0300

jeepney (0.4.1-1) unstable; urgency=medium

  * Initial release (closes: #935421).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 27 Aug 2019 22:21:12 +0300

=== debian/control ===
Source: jeepney
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-pytest,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-testpath
Standards-Version: 4.4.1
Homepage: https://gitlab.com/takluyver/jeepney
Vcs-Git: https://salsa.debian.org/python-team/modules/jeepney.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/jeepney

Package: python3-jeepney
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: pure Python D-Bus interface
 This is a low-level, pure Python D-Bus protocol client. It has an
 I/O-free core, and integration modules for different event loops.
 .
 DBus is an inter-process communication system, mainly used in Linux.

Package: jeepney-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: pure Python D-Bus interface — documentation
 Jeepney is a low-level, pure Python D-Bus protocol client. It has an
 I/O-free core, and integration modules for different event loops.
 .
 DBus is an inter-process communication system, mainly used in Linux.
 .
 This package contains the HTML documentation for Jeepney.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=jeepney

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -Cdocs html

override_dh_installdocs:
	dh_installdocs -pjeepney-doc --doc-main-package=python3-jeepney
	dh_installdocs --remaining-packages

override_dh_installexamples:
	dh_installexamples -pjeepney-doc --doc-main-package=python3-jeepney
	dh_installexamples --remaining-packages

=== debian/tests/control ===
Test-Command: set -e
 ; cd "$AUTOPKGTEST_TMP"
 ; for python in $(py3versions -s 2>/dev/null)
 ; do $python -m pytest --verbose /usr/lib/python3/dist-packages/jeepney/tests
 ; done
Depends: python3-all, python3-jeepney, python3-pytest, python3-testpath

## jeepney 0.4.3

=== debian/changelog ===
jeepney (0.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 05 Mar 2020 15:01:31 +0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-testpath
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://gitlab.com/takluyver/jeepney
 Vcs-Git: https://salsa.debian.org/python-team/modules/jeepney.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/jeepney

## jeepney 0.6.0

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,25 @@
 Source: jeepney
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
+Build-Depends: dbus,
+               debhelper-compat (= 13),
+               dh-python (>= 4.20200804),
+               flit,
                python3-all,
+               python3-doc,
                python3-pytest,
+               python3-pytest-asyncio,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-               python3-testpath
-Standards-Version: 4.5.0
+               python3-testpath,
+               python3-trio
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Homepage: https://gitlab.com/takluyver/jeepney
-Vcs-Git: https://salsa.debian.org/python-team/modules/jeepney.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/jeepney
+Vcs-Git: https://salsa.debian.org/python-team/packages/jeepney.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/jeepney
 
 Package: python3-jeepney
 Architecture: all
@@ -28,6 +34,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Recommends: python3-doc
 Description: pure Python D-Bus interface — documentation
  Jeepney is a low-level, pure Python D-Bus protocol client. It has an
  I/O-free core, and integration modules for different event loops.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=jeepney
+export PYBUILD_SYSTEM=flit
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -9,6 +10,9 @@
 	dh_auto_build
 	$(MAKE) -Cdocs html
 
+override_dh_auto_test:
+	dbus-run-session -- dh_auto_test -- --system distutils
+
 override_dh_installdocs:
 	dh_installdocs -pjeepney-doc --doc-main-package=python3-jeepney
 	dh_installdocs --remaining-packages

=== debian/tests/control ===
Test-Command: set -e
 ; cd "$AUTOPKGTEST_TMP"
 ; for python in $(py3versions -s 2>/dev/null)
 ; do dbus-run-session -- $python -m pytest --verbose /usr/lib/python3/dist-packages/jeepney
 ; done
Depends: dbus,
         python3-all,
         python3-jeepney,
         python3-pytest,
         python3-pytest-asyncio,
         python3-testpath,
         python3-trio

## jeepney 0.7.1

=== debian/changelog ===
jeepney (0.7.1-3) unstable; urgency=medium

  * Build-depend on dh-python ≥ 5.20211214 to make sure python3-jeepney
    does not depend on pytest and other packages from requires-extra
    (closes: #1001754).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 17 Dec 2021 14:34:06 +0300

jeepney (0.7.1-2) unstable; urgency=medium

  * Build-depend on dh-python ≥ 5.20211016 which has improved flit support.
    - Stop passing --system distutils to pybuild for testing.
    - Drop debian/python3-jeepney.pyremove, no longer needed.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 04 Dec 2021 18:57:05 +0300

jeepney (0.7.1-1) experimental; urgency=medium

  * New upstream release.
  * Depend on python3-async-timeout for the tests.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Jul 2021 21:35:52 +0300

jeepney (0.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Synchronize package descriptions with README.rst updates.
  * Remove PEP 610 direct_url.json. It contains the build path which is
    useless and breaks reproducibility.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Jul 2021 16:02:25 +0300

jeepney (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Export PYBUILD_SYSTEM=flit to make pybuild always use the flit plugin.
    Automatic detection needs python3-toml, which we don't build-depend on.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Remove the RECORD file, it is not needed and breaks reproducibility.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 20 Nov 2020 15:41:40 +0300

jeepney (0.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Add python3-pytest-asyncio and python3-trio to Build-Depends and
    to tests dependencies.
  * Build using pybuild's flit plugin.
    - But still use distutils plugin to run the tests.
  * Update to debhelper compat level 13.
  * Add a patch to use packaged intersphinx inventory for Python API.
    - Also make jeepney-doc recommend python3-doc.
  * Run tests with dbus-run-session to get less tests skipped.
  * Bump years in debian/copyright.
  * Set Rules-Requires-Root: no.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 11 Nov 2020 21:22:42 +0300

=== debian/control ===
Source: jeepney
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>
Build-Depends: dbus,
               debhelper-compat (= 13),
               dh-python (>= 5.20211214),
               flit,
               python3-all,
               python3-async-timeout,
               python3-doc,
               python3-pytest,
               python3-pytest-asyncio,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-testpath,
               python3-trio
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://gitlab.com/takluyver/jeepney
Vcs-Git: https://salsa.debian.org/python-team/packages/jeepney.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/jeepney

Package: python3-jeepney
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: pure Python D-Bus interface
 Jeepney is a pure Python implementation of D-Bus messaging. It has an
 I/O-free core, and integration modules for different event loops.
 .
 D-Bus is an inter-process communication system, mainly used in Linux.

Package: jeepney-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python3-doc
Description: pure Python D-Bus interface — documentation
 Jeepney is a pure Python implementation of D-Bus messaging. It has an
 I/O-free core, and integration modules for different event loops.
 .
 D-Bus is an inter-process communication system, mainly used in Linux.
 .
 This package contains the HTML documentation for Jeepney.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	$(MAKE) -Cdocs html
 
 override_dh_auto_test:
-	dbus-run-session -- dh_auto_test -- --system distutils
+	dbus-run-session -- dh_auto_test
 
 override_dh_installdocs:
 	dh_installdocs -pjeepney-doc --doc-main-package=python3-jeepney

=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
  ; done
 Depends: dbus,
          python3-all,
+         python3-async-timeout,
          python3-jeepney,
          python3-pytest,
          python3-pytest-asyncio,

## jeepney 0.8.0

=== debian/changelog ===
jeepney (0.8.0-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Add a patch to load sphinx-rtd-theme using the entry point.
  * Build-depend on python3-pytest-trio and add it to tests dependencies.
  * Mark build-dependencies needed only for tests as <!nocheck>.

  [ Roland Mas ]
  * Define asyncio_default_fixture_loop_scope for pytest-asyncio >= 0.24.

 -- Roland Mas <lolando@debian.org>  Wed, 30 Oct 2024 15:19:55 +0100

jeepney (0.8.0-3) unstable; urgency=medium

  * Team upload.
  * d/control: build using the generic pyproject pybuild plugin.
  * d/control: use 'execute_after_' instead of 'override_'
  * d/control: Standards-Version bump to 4.6.1. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 02 Dec 2022 11:42:48 -0500

jeepney (0.8.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + jeepney-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 14:45:10 +0000

jeepney (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump python3-pytest-asyncio dependencies to 0.17, following upstream.
  * Bump years in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 09 Apr 2022 10:32:03 +0300

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,19 @@
                debhelper-compat (= 13),
                dh-python (>= 5.20211214),
                flit,
+               pybuild-plugin-pyproject,
                python3-all,
-               python3-async-timeout,
+               python3-async-timeout <!nocheck>,
                python3-doc,
-               python3-pytest,
-               python3-pytest-asyncio,
+               python3-pytest <!nocheck>,
+               python3-pytest-asyncio (>= 0.17) <!nocheck>,
+               python3-pytest-trio <!nocheck>,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-               python3-testpath,
+               python3-testpath <!nocheck>,
                python3-trio
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://gitlab.com/takluyver/jeepney
 Vcs-Git: https://salsa.debian.org/python-team/packages/jeepney.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jeepney
@@ -36,6 +38,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Recommends: python3-doc
+Multi-Arch: foreign
 Description: pure Python D-Bus interface — documentation
  Jeepney is a pure Python implementation of D-Bus messaging. It has an
  I/O-free core, and integration modules for different event loops.

=== debian/tests/control ===
Test-Command: set -e
 ; cd "$AUTOPKGTEST_TMP"
 ; for python in $(py3versions -s 2>/dev/null)
 ; do dbus-run-session -- $python -m pytest --verbose -o asyncio_default_fixture_loop_scope="function" /usr/lib/python3/dist-packages/jeepney
 ; done
Depends: dbus,
         python3-all,
         python3-async-timeout,
         python3-jeepney,
         python3-pytest,
         python3-pytest-asyncio (>= 0.17),
         python3-pytest-trio,
         python3-testpath,
         python3-trio

## jeepney 0.9.0

=== docs/Makefile ===
--- 
+++ 
@@ -223,3 +223,7 @@
 	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
 	@echo
 	@echo "Build finished. Dummy builder generates no files."
+
+.PHONY: livehtml
+livehtml:
+	sphinx-autobuild $(ALLSPHINXOPTS) "$(BUILDDIR)" $(O)

=== debian/changelog ===
jeepney (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop Load-sphinx-rtd-theme.patch, applied upstream.
  * Refresh and rebase other patches.
  * Bump required flit version to 3.11.
  * Remove python3-async-timeout dependency, not needed with Python 3.11.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 03 Mar 2025 11:42:40 +0300

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,9 @@
 Build-Depends: dbus,
                debhelper-compat (= 13),
                dh-python (>= 5.20211214),
-               flit,
+               flit (>= 3.11),
                pybuild-plugin-pyproject,
                python3-all,
-               python3-async-timeout <!nocheck>,
                python3-doc,
                python3-pytest <!nocheck>,
                python3-pytest-asyncio (>= 0.17) <!nocheck>,
@@ -19,7 +18,7 @@
                python3-testpath <!nocheck>,
                python3-trio
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/takluyver/jeepney
 Vcs-Git: https://salsa.debian.org/python-team/packages/jeepney.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jeepney

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,11 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=jeepney
-export PYBUILD_SYSTEM=flit
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	$(MAKE) -Cdocs html
 
 override_dh_auto_test:

=== debian/tests/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
  ; done
 Depends: dbus,
          python3-all,
-         python3-async-timeout,
          python3-jeepney,
          python3-pytest,
          python3-pytest-asyncio (>= 0.17),
